$cubicBezier: cubic-bezier(0.25, 0.46, 0.45, 0.94);
.container .register-data {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: relative;
}

.form-gen-collapse + .register-chart {
  width: 100%;
  height: calc(100vh - 100px);
  margin-top: 5px;
  overflow-x: hidden;
  overflow-y: auto;
}

.form-gen-collapse.active + .register-chart {
  height: calc(100vh - 290px);
}

.register-chart {
  position: relative;
}

.register-form {
  width: 100%;
  height: 110px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.register-form .register-inner-form {
  width: 60%;
  display: flex;
  justify-content: space-between;
}

.register-form .register-inner-btn {
  margin-top: 30px;
  margin-bottom: 30%;
}

.register-form .register-inner-btn button {
  font-family: inherit;
  background-color: var(--Basic);
  border: 1px solid var(--Basic);
  color: var(--Text);
  border-radius: 5px;
  padding: 8px 12px;
  margin-left: 15px;
}

.register-form .register-inner-btn button:hover {
  background-color: var(--BasicHover);
}

.register-form .register-inner-btn button span:nth-child(2) {
  margin-right: 5px;
}

.register-form .register-inner-form .model-item {
  width: 50%;
  padding: 0 10px;
}
.anomalies-form {
  width: 100%;
  height: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}
.anomalies-check-form,
.anomalies-radio-form {
  position: relative;
  padding: 5px 8px;
  width: 50%;
}
.anomalies-radio-form .form__radio-group,
.anomalies-check-form .r-checkbox {
  margin: 15px;
}
.form__radio-input {
  display: none;
}

.form__label-radio {
  font-size: 13px;
  cursor: pointer;
  position: relative;
}

.form__radio-button {
  height: 20px;
  width: 20px;
  border: 2px solid var(--Basic);
  border-radius: 50%;
  display: inline-block;
}

.form__radio-button::after {
  content: "";
  display: block;
  height: 15px;
  width: 15px;
  border-radius: 50%;
  transform: translate(-3%, 4%);
  background-color: var(--Basic);
  opacity: 0;
  transition: opacity 0.5s;
}

.form__radio-input:checked ~ .form__label-radio .form__radio-button::after {
  opacity: 1;
}

.preview-crop {
  width: 100%;
}

.preview-crop .inner-preview {
  width: 100%;
  display: flex;
  flex-direction: row;
}

.inner-preview .anomalies,
.inner-preview .holiday {
  width: 50%;
  margin: 2px;
  border: 1px solid var(--Basic);
  border-radius: 5px;

  & .title {
    text-align: center;
    background-color: var(--Basic);
    color: var(--Text);
  }
  & .register-card {
    padding: 5px 12px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    overflow-x: hidden;
    justify-content: space-between;
    & > div {
      border-radius: 3px;
      border: 1px solid var(--Basic);
      margin-bottom: 4px;
      padding: 5px 8px;
      transition: all 0.5s linear;
      min-width: 360px;
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      font-size: 13px;
      &:hover {
        background-color: var(--Text);
      }
      & > div:nth-child(2) {
        color: var(--Second);
        cursor: pointer;
      }
    }
  }
}

.inner-preview .anomalies {
  border-left: 1px solid var(--Basic);
}

.inner-preview .holiday {
  border-right: 1px solid var(--Basic);
}
